/*
Define the methods to handle a map where keys are array of integers
*/

import gnu.trove.strategy.HashingStrategy;

public class IntArrayStrategy implements HashingStrategy<int[]>
{ 
	/*
	Compute the hash code of an array of integers
	*/
	public int computeHashCode(int[] c)
	{ 
		int h = 31; // seed chosen at random
		for(int val : c)
			h = h ^ ((h << 5) + (h >> 2) + val+1); // L=5, R=2 works well for ASCII input
		return h;
	}
	/*
	Check if two arrays of integers are equal or not
	*/
	public boolean equals(int[] c1, int[] c2)
	{ 
		for (int i = 0, len = c1.length; i < len; i++) 
		{
			if (c1[i] != c2[i]) 
				return false; 
		} 
		return true; 
	} 
} 