import java.util.LinkedList;

public class TestRandom
{
    public static void main(String[] args)
    {
        String[] net={"internet"};
        int numRandVar=1000;
        if(args.length>0)
        {
            net=args[0].split(",");
            numRandVar=Integer.parseInt(args[1]);
        }
        int j;
        for(j=0;j<net.length;j++)
        {
            System.out.println(net[j].toUpperCase());
            FileManager fm = new FileManager();
            Graph g = fm.readGraph("Networks/"+net[j]+".txt");
            int i;
            long inizio=System.currentTimeMillis();
            EDDModel edd = new EDDModel(g,3,false);
            LinkedList<Integer>[][][] listDegrees=GraphUtility.getListDegrees(g);
            for(i=0;i<numRandVar;i++)
            {
                System.out.println(i+1);
                Graph randNet=edd.sampleGraph(g,listDegrees);
                //System.out.println(randNet.getNumEdges());
                String outputFile = "Random/"+net[j]+"/"+net[j]+"_"+(i+1)+".txt";
                fm.writeGraph(randNet, outputFile);
            }
            double fine=System.currentTimeMillis();
            double totalTime=(fine-inizio)/1000;
            System.out.println("Network: "+net[j]);
            System.out.println("Time elapsed: "+totalTime+" secs");
        }
    }
}
